Subject: bug#16346: 24.3; electric-pair-mode close-paren issue

From: Leo Liu <[email-masked]>
Date: Sat, 11 Jan 2014 00:46:37 +0800

On 2014-01-10 22:14 +0800, Stefan Monnier wrote:
> So you want an eldoc-subdued-mode which only gives you info in some very
> restricted cases (e.g. self-insert-command) and which you can
> dynamically enable/disable in specific buffers.
>
> Making eldoc-message-commands buffer-local would let us do that fairly easily.
>
>> But then when you go anywhere that you don't want to edit code (such as
>> just to copy some text) eldoc also prints the arglist.
>
> Right.  And it doesn't bother me because if I don't want to see the
> eldoc info, I just don't look at the echo area.

I haven't built that habit. If there is nothing to show in the status
area show nothing which is what I expect. In practice, even if my eyes
don't literally look at the echo area, they still grab a bit of my
attention.

> We obviously have different tastes/habits ;-)
>
>> But maybe eldoc-post-insert-mode (maybe even a new name
>> eldoc-edit-mode?) can check on char changes instead?
>
> I don't understand what you mean by "char changes".
> Ah, you mean using an after-change-function?  I don't really like that.
> I'm not sure what problem it is supposed to avoid.

The SPC DEL thing that you mentioned and this bug.

[snipped 9 lines]
> But neither do you want to send such a request just because you inserted
> a char.  So, the problem really applies to bother cases.  I find it hard
> to believe that the problem would really be much more serious in one
> case then in the other: either it's serious in both cases, or it's
> bearable in both cases.
>
>
>         Stefan
>
>
> PS: I think some version of eldoc-mode should be enabled by default.
> It's too late for 24.4, but: for the one after.

OK I don't mind taking eldoc-post-insert-mode out completely. Let me
know if you want me to. It is new in 24.4 so better go now if it has to
go. I can put it in my init file if I need it.

Leo